libfile-changenotify-perl (0.31-2) unstable; urgency=medium

  [ gregor herrmann ]
  * debian/copyright: replace tabs with spaces / remove trailing
    whitespace.
  * debian/watch: use uscan version 4.

  [ Debian Janitor ]
  * Bump debhelper from old 10 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Update standards version to 4.4.1, no changes needed.
  * Update standards version to 4.5.0, no changes needed.
  * Remove constraints unnecessary since stretch:
    + Build-Depends-Indep: Drop versioned constraint on libmoo-perl,
      libtest-simple-perl.
    + libfile-changenotify-perl: Drop versioned constraint on libmoo-perl in
      Depends.
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.5.1, no changes needed.
  * Remove constraints unnecessary since buster
  * Update standards version to 4.6.0, no changes needed.
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 04 Dec 2022 20:10:10 +0000

libfile-changenotify-perl (0.31-1) unstable; urgency=medium

  * Import upstream version 0.31
  * Declare compliance with Debian policy 4.3.0
  * Update copyright years for upstream files
  * Update copyright years for debian/* packaging files
  * Add Build-Depends-Indep on libtest2-suite-perl
  * Update Build-Depends-Indep for Test::More for at least 1.302015

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 10 Jan 2019 09:25:44 +0100

libfile-changenotify-perl (0.29-1) unstable; urgency=medium

  * Team upload.

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org
  * Import upstream version 0.29
  * Drop (Build-)Depends(-Indep) on libclass-load-perl

  [ gregor herrmann ]
  * Install upstream docs.
  * Declare compliance with Debian Policy 4.2.1.
  * Let cme fix an alternative versioned (build) dependency.

 -- gregor herrmann <gregoa@debian.org>  Sun, 30 Sep 2018 18:05:34 +0200

libfile-changenotify-perl (0.28-1) unstable; urgency=medium

  [ Alex Muntada ]
  * Remove inactive pkg-perl members from Uploaders.

  [ Damyan Ivanov ]
  * declare conformance with Policy 4.1.3 (no changes needed)

  [ Salvatore Bonaccorso ]
  * Import upstream version 0.28
  * Bump Debhelper compat level to 10
  * Update copyright years for upstream files
  * Update copyright years for debian/* packaging files
  * Set Rules-Requires-Root to no

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 12 Feb 2018 22:25:11 +0100

libfile-changenotify-perl (0.27-1) unstable; urgency=medium

  [ gregor herrmann ]
  * Remove Jonathan Yu from Uploaders. Thanks for your work!

  [ Salvatore Bonaccorso ]
  * upstream/metadata: Update location for Repository(-Browse)
  * Import upstream version 0.27
  * Update copyright years for upstream files
  * Update copyright years for debian/* packaging files
  * Declare compliance with Debian policy 4.0.0

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 03 Aug 2017 06:04:35 +0200

libfile-changenotify-perl (0.26-1) unstable; urgency=medium

  * Import upstream version 0.26
  * Make (Build-)Depends(-Indep) on libmoo-perl versioned

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 30 May 2016 06:16:09 +0200

libfile-changenotify-perl (0.25-1) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ gregor herrmann ]
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.

  [ Salvatore Bonaccorso ]
  * Add debian/upstream/metadata
  * Import upstream version 0.25
  * Update copyright years for upstream files
  * Update copyright years for debian/* packaging files
  * Drop Build-Depends on libmodule-build-perl
  * Drop (Build-)Depends(-Indep) on libmoose-perl
  * Drop (Build-)Depends(-Indep) on libmoosex-params-validate-perl
  * Drop (Build-)Depends(-Indep) on libmoosex-semiaffordanceaccessor-perl
  * Drop (Build-)Depends(-Indep) on liblist-moreutils-perl
  * Add (Build-)Depends(-Indep) on libmoo-perl
  * Add (Build-)Depends(-Indep) on libtype-tiny-perl
  * Add Build-Depends-Indep on libtest-requires-perl
  * Bump Debhelper compat level to 9
  * Declare compliance with Debian policy 3.9.8

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 29 May 2016 11:44:11 +0200

libfile-changenotify-perl (0.24-2) unstable; urgency=medium

  [ gregor herrmann ]
  * Strip trailing slash from metacpan URLs.

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend
  * Unconditionally build depend on libmodule-build-perl
  * Declare compliance with Debian policy 3.9.6
  * Update copyright years for debian/* packaging files
  * Don't install File::ChangeNotify::Watcher::KQueue module.
    It needs IO::KQueue which is not packaged in Debian and is the perl
    interface to the BSD kqueue system call.
  * Mark package as autopkgtestable
  * Don't install File::ChangeNotify::Watcher::KQueue manpage

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 31 May 2015 17:09:14 +0200

libfile-changenotify-perl (0.24-1) unstable; urgency=low

  * Imported Upstream version 0.24
  * Wrap and sort fields in debian/control file
  * Bump Standards-Version to 3.9.5

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 29 Nov 2013 07:09:39 +0100

libfile-changenotify-perl (0.23-2) unstable; urgency=low

  * Adjust (build-)dependency for Module::Pluggable.
    Module::Pluggable will be removed from Perl core in 5.20 and emits now
    a warning with 5.18. Add Build-Depends-Indep and Depends on alternate
    libmodule-pluggable-perl | perl (<< 5.17.0).
    Thanks to Dominic Hargreaves <dom@earth.li> (Closes: #711662)

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 15 Aug 2013 21:02:30 +0200

libfile-changenotify-perl (0.23-1) unstable; urgency=low

  [ gregor herrmann ]
  * debian/control: update {versioned,alternative} (build) dependencies.

  [ Salvatore Bonaccorso ]
  * Imported Upstream version 0.23
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)
  * Change search.cpan.org based URIs to metacpan.org based URIs
  * Make Recommends on liblinux-inotify2-perl unversioned.
    Versioned Recommends on liblinux-inotify2-perl (>= 1:1.2) is now already
    satisfied in stable.
  * Update debian/copyright information.
    Update copyright years for upstram files and for debian/* packaging
    files.
  * Bump Standards-Version to 3.9.4

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 17 May 2013 16:42:48 +0200

libfile-changenotify-perl (0.22-1) unstable; urgency=low

  * Imported Upstream version 0.22
  * Update debian/copyright file format.
    Update format to copyright-format 1.0 as released together with Debian
    policy 3.9.3.
  * Bump Standards-Version to 3.9.3

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 14 Apr 2012 07:50:03 +0200

libfile-changenotify-perl (0.21-1) unstable; urgency=low

  [ gregor herrmann ]
  * Switch order of alternative (build) dependencies after the perl 5.12
    upload.

  [ Ansgar Burchardt ]
  * debian/control: Convert Vcs-* fields to Git.

  [ Salvatore Bonaccorso ]
  * debian/copyright: Replace DEP5 Format-Specification URL from
    svn.debian.org to anonscm.debian.org URL.
  * Imported Upstream version 0.21
  * Update debian/copyright file.
    Update copyright years for upstream files and for debian/* packaging
    files.
  * Adjust (Build-)Depends(-Indep)
    Substitute alternate dependencies on libmoose-perl (>= 2) |
    libclass-mop-perl with libclass-load-perl as Class::Load is used now.
    Add liblist-moreutils-perl to Build-Depends-Indep.
    Change versioned dependencies on libmoosex-params-validate-perl to
    unversioned dependencies.
    Drop alternate Build-Depends-Indep on perl (>= 5.10.1) |
    libtest-simple-perl (>= 0.88).

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 03 Feb 2012 22:53:52 +0100

libfile-changenotify-perl (0.20-2) unstable; urgency=low

  * Team upload.
  * debian/control: update (build) dependencies to prepare for
    Moose/Class::MOP changes.

 -- gregor herrmann <gregoa@debian.org>  Thu, 21 Apr 2011 18:37:27 +0200

libfile-changenotify-perl (0.20-1) unstable; urgency=low

  * New upstream release
  * Bump Debhelper compat level to 8.
  * debian/control:
    - Bump versioned Build-Depends on debhelper to (>= 8).
    - Add Build-Depends on ibmodule-build-perl (>= 0.360100) | perl
      (>= 5.12.0).
  * debian/copyright: Update copyright years for upstream stanza.
  * Email change: Salvatore Bonaccorso -> carnil@debian.org
  * Bump Standards-Version to 3.9.2.

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 20 Apr 2011 10:09:25 +0200

libfile-changenotify-perl (0.19-1) unstable; urgency=low

  * New upstream release

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 18 Oct 2010 07:32:59 +0200

libfile-changenotify-perl (0.18-1) unstable; urgency=low

  [ Jonathan Yu ]
  * New upstream release (0.17)
  * Standards-Version 3.9.1 (no changes)

  [ Salvatore Bonaccorso ]
  * New upstream release (0.18)
  * Update my email address.
  * debian/control: Drop alternate (Build-)Depends(-Indep) on perl (>=
    5.10.0) | libmodule-pluggable-perl as this is already satisfied in
    stable and oldstable is gone.

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 16 Oct 2010 14:37:58 +0200

libfile-changenotify-perl (0.16-1) unstable; urgency=low

  * New upstream release

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Mon, 12 Jul 2010 22:48:52 +0200

libfile-changenotify-perl (0.15-1) unstable; urgency=low

  * New upstream release
  * Add myself to Uploaders.
  * debian/control:
    - Add libnamespace-autoclean-perl to (Build-)Depends(-Indep).
    - Add alternate (Build-)Depends(-Indep) on perl (>= 5.10.0) |
      libmodule-pluggable-perl
  * Update debian/copyright: libfile-changenotify-perl is now licensed
    under Artistic-2.0.
  * Bump Standards-Version to 3.9.0 (no changes needed).

 -- Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>  Sun, 11 Jul 2010 15:01:37 +0200

libfile-changenotify-perl (0.13-1) unstable; urgency=low

  [ Jonathan Yu ]
  * New upstream release
  * Now requires Test::More 0.88 for testing
  * Use new DEP5 copyright format
  * Update to 3.0 (quilt) source format
  * Rewrite control description

  [ Franck Joncourt ]
  * Added missing dependency on liblist-moreutils-perl.
  * Added liblinux-inotify2-perl (>= 1:1.2) as recommended. (Closes: #568371)
  * Added missing build-dependency on libtest-exception-perl.
  * Added /me as Uploader. Refreshed d.control and d.copyright accordingly.

 -- Franck Joncourt <franck@debian.org>  Fri, 23 Apr 2010 13:14:48 +0200

libfile-changenotify-perl (0.12-1) unstable; urgency=low

  * New upstream release
  * Standards-Version 3.8.4 (no changes)

 -- Jonathan Yu <jawnsy@cpan.org>  Fri, 29 Jan 2010 23:56:31 -0500

libfile-changenotify-perl (0.10-1) unstable; urgency=low

  * New upstream release

 -- Jonathan Yu <jawnsy@cpan.org>  Sun, 06 Dec 2009 14:14:49 -0500

libfile-changenotify-perl (0.08-1) unstable; urgency=low

  [ Jonathan Yu ]
  * New upstream release
  * Standards-Version 3.8.3 (no changes)
  * Remove Test::Pod + Coverage from B-D-I; they are now moved to xt/
  * Remove IS_MAINTAINER=1 test override

  [ Salvatore Bonaccorso ]
  * debian/control: Changed: Replace versioned (build-)dependency on
    perl (>= 5.6.0-{12,16}) with an unversioned dependency on perl (as
    permitted by Debian Policy 3.8.3).

  [ Ryan Niebur ]
  * Update jawnsy's email address

  [ gregor herrmann ]
  * debian/copyright: add info about new third-party file.

 -- Jonathan Yu <jawnsy@cpan.org>  Thu, 05 Nov 2009 17:35:35 -0500

libfile-changenotify-perl (0.07-1) unstable; urgency=low

  * New upstream release
    + Closes RT#47431

 -- Jonathan Yu <frequency@cpan.org>  Mon, 29 Jun 2009 20:20:40 -0400

libfile-changenotify-perl (0.06-1) unstable; urgency=low

  * Initial Release. (Closes: #529795)

 -- Jonathan Yu <frequency@cpan.org>  Thu, 21 May 2009 12:36:49 -0400
